BONITO(4)

NAME
bonito - memory and PCI or PCI-X controller

SYNOPSIS
bonito0 at mainbus0
pci0 at bonito?

DESCRIPTION
The bonito driver supports both the Algorithmics Bonito64 memory and PCI controller on Loongson 2E-based systems, or the onboard memory and PCI-X controller found on Loongson 2F-based systems, which is a very close design, albeit not compatible with the original Bonito.

Differences between the two models of controllers are hidden at the bonito driver level.

The bonito driver also handles PCI interrupt routing; on systems featuring a glxpcib(4) PCI-ISA bridge to which legacy devices are connected, it will also handle legacy interrupts.

SEE ALSO
glxpcib(4), intro(4), mainbus(4), pci(4)